nn.pp.rccore

## Class AudioStatusListener.AudioStatus

- java.lang.Object
- - nn.pp.rccore.AudioStatusListener.AudioStatus

- Enclosing interface:
    AudioStatusListener

      public static class AudioStatusListener.AudioStatus
      extends java.lang.Object

  Description of the audio status of the current KVM port Note: Audio connections from different clients must all use the same audio format. Thus, all KVM clients are informed about the audio state of the port as soon as one KVM client starts or stops an audio session to help decide the correct audio format.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AudioStatus(boolean connected, java.lang.String format)` Create an audio status object

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getFormat()` Get the audio format for the device
    `boolean` | `isConnected()` Is there currently audio connected to this port from any KVM client?

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AudioStatus

          public AudioStatus(boolean connected,
                             java.lang.String format)

      Create an audio status object
      Parameters:
        `connected` - audio connected (or not)
        `format` - the audio format

  - ### Method Detail

    - #### isConnected

          public boolean isConnected()

      Is there currently audio connected to this port from any KVM client?
      Returns:
        true if audio currently connected on the target, false otherwise

    - #### getFormat

          public java.lang.String getFormat()

      Get the audio format for the device
      Returns:
        audio format for the device in format "SampleRate_BitsPerSample_Channels" (e.g. "44100_16_2" or "22050_8_1") or null if the device is not connected

Copyright © 2025 Raritan Inc. All Rights Reserved.